KubeOne(1)

NAME
kubeone-kubeconfig-generate - Generate kubeconfig

SYNOPSIS
kubeone kubeconfig generate [flags]

DESCRIPTION
Generate kubeconfig with given certificate parameters.

OPTIONS
--cn=""
    CommonName (CN) for the generated client certificate.

-h, --help[=false]
    help for generate

--on=[]
    OrganizationName (ON) for the generated client certificate.

-s, --super-admin[=false]
    Generate superadmin kubeconfig, shorthand for --cn @ --on system:masters

--ttl=1h0m0s
    Time To Live for the generated certificate.

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone kubeconfig generate -m mycluster.yaml -t tf.json --super-admin

SEE ALSO
kubeone-kubeconfig(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra